Create end users
POST
Create multiple end users in a single bulk action
ApiKeyAuth organization.memberheader
Authorization<token>Scope: organization.member
The list of end user details
application/json- body
data?array<>The created end users
application/json- response
data?array<|>curl -X POST 'https://dev.dixa.io/v1/endusers/bulk' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "data": [ { "displayName": "Alice Brown", "email": "alice@brown.com", "phoneNumber": "+551155256325", "additionalEmails": [], "additionalPhoneNumbers": [], "firstName": "Alice", "lastName": "Brown", "middleNames": [], "avatarUrl": "http://avatar.url", "externalId": "#12345678" } ]}'{}
"data": []
{},
"data": {},
"id": "93b885ad-fe0d-3089-8df6-34904fd59f71",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 0",
"email": "enduser.0@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_0_id",
"externalId": "#12345678"
"_type": "BulkActionSuccess"
{},
"data": {},
"id": "55a54008-ad1b-3589-aa21-0d2629c1df41",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 1",
"email": "enduser.1@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_1_id",
"externalId": "#12345678"
"_type": "BulkActionSuccess"
{},
"data": {},
"id": "9e688c58-a548-3b8e-af69-c9e1005ad0bf",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 2",
"email": "enduser.2@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_2_id",
"externalId": "#12345678"
"_type": "BulkActionSuccess"
{},
"data": {},
"id": "86666835-06aa-3d90-8bbd-5a74ac4edf68",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 3",
"email": "enduser.3@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_3_id",
"externalId": "#12345678"
"_type": "BulkActionSuccess"
{}
"error": {},
"id": "1b6d1e11-0626-414e-906a-b80a384cfef0",
"message": "Create EndUser [userId=...] in [orgId=...] failed with [errors=...]",
"_type": "Validation"
"_type": "BulkActionFailure"